<button class="button-basic" nz-button nzShape="round" nz-tooltip
  nzTooltipTitle="{{ 'Common.Buttons.Report' | translate }}" nz-popover nzPopoverTitle="New report"
  [nzPopoverContent]="contentTemplate" (nzPopoverVisibleChange)="visibilityChange($event)" nzPopoverTrigger="click"
  [nzLoading]="isLoading" [nzPopoverVisible]="isVisible">
  <ng-template #contentTemplate>
    <textarea rows="4" nz-input [(ngModel)]="reason" placeholder="Reason why..." style="width: 300px"></textarea>
    <div style="text-align: end; margin-top: 5px">
      <button nz-button nzShape="round" nzType="primary" (click)="submit()" [nzLoading]="isLoading" style="margin-right: 20px">Submit</button>
    </div>
  </ng-template>

  <i class="fas fa-flag-checkered"></i>
</button>
